[Haskell-cafe] c2hs on mac

Duncan Coutts duncan.coutts at worc.ox.ac.uk
Thu Apr 12 03:30:03 EDT 2007

On Thu, 2007-04-12 at 16:02 +1000, Ruben Zilibowitz wrote:

> I can't even check out the darcs version from the repository because  
> that gives me an error (on applying patch 107/256 from memory). So I  
> am using the tarball for c2hs-0.14.5. Here is the problem:

Ah, the problem with case sensitive file names. I've made a new
checkpoint in the darcs repo so if you use darcs get --partial then you
can avoid having to download and apply the problematic patch. So give
this another go:

darcs get --partial http://darcs.haskell.org/c2hs/

> ./Setup.hs:11:57:
>      Couldn't match expected type  

This was due to changes in the cabal api. In the darcs version of c2hs
I've removed all the custom code from Setup.hs and found better ways of
doing it. We need a new c2hs release, but I'm still somewhat in the
middle of improving the parser and I'd like to do at least a bit of
testing before making a release :-)

> I have ghc 6.6 installed. I also have ghc 6.7.x installed in a  
> different location. I would like to be able to use c2hs with ghc  
> 6.7.x if possible.

Try the darcs version.


More information about the Haskell-Cafe mailing list